[versions]
agp = "8.7.3"
googleCore = "3.5.1"
hiltAndroid = "2.51"
junit = "4.13.2"
junitVersion = "1.3.0"
espressoCore = "3.7.0"
appcompat = "1.7.1"
kotlinxCoroutinesAndroid = "1.8.1"
material = "1.13.0"
constraintlayout = "2.2.1"
navigationFragment = "2.6.0"
navigationUi = "2.6.0"
googleAndroidLibrariesMapsplatformSecretsGradlePlugin = "2.0.1"
okhttp = "4.12.0"
playServicesMaps = "18.1.0"
printerlibrary = "1.0.23"
recyclerviewV7 = "28.0.0"
retrofit = "2.11.0"
rxandroid = "1.2.1"
rxandroidVersion = "2.1.1"
rxjava = "1.3.8"
kotlin = "1.9.24"
coreKtx = "1.17.0"
rxjavaVersion = "2.2.21"
stompprotocolandroid = "1.6.6"
swiperefreshlayout = "1.1.0"
core = "1.5.0"
fragmentTesting = "1.6.2"
activity = "1.8.0"
mockitoAndroid = "4.6.1"
mockitoCore = "5.7.0"
mockitoInline = "5.2.0"
powermockModuleJunit4 = "2.0.9"
preference = "1.1.1"
robolectric = "4.11.1"
runner = "1.5.2"
zxingAndroidEmbedded = "4.3.0"
roomCommonJvm = "2.8.4"
roomRuntimeJvm = "2.8.4"

[libraries]
converter-gson = { module = "com.squareup.retrofit2:converter-gson", version.ref = "retrofit" }
google-core = { module = "com.google.zxing:core", version.ref = "googleCore" }
hilt-android = { module = "com.google.dagger:hilt-android", version.ref = "hiltAndroid" }
hilt-compiler = { module = "com.google.dagger:hilt-compiler", version.ref = "hiltAndroid" }
junit = { group = "junit", name = "junit", version.ref = "junit" }
ext-junit = { group = "androidx.test.ext", name = "junit", version.ref = "junitVersion" }
espresso-core = { group = "androidx.test.espresso", name = "espresso-core", version.ref = "espressoCore" }
appcompat = { group = "androidx.appcompat", name = "appcompat", version.ref = "appcompat" }
kotlinx-coroutines-android = { module = "org.jetbrains.kotlinx:kotlinx-coroutines-android", version.ref = "kotlinxCoroutinesAndroid" }
logging-interceptor = { module = "com.squareup.okhttp3:logging-interceptor", version.ref = "okhttp" }
material = { group = "com.google.android.material", name = "material", version.ref = "material" }
constraintlayout = { group = "androidx.constraintlayout", name = "constraintlayout", version.ref = "constraintlayout" }
navigation-fragment = { group = "androidx.navigation", name = "navigation-fragment", version.ref = "navigationFragment" }
navigation-ui = { group = "androidx.navigation", name = "navigation-ui", version.ref = "navigationUi" }
okhttp = { module = "com.squareup.okhttp3:okhttp", version.ref = "okhttp" }
play-services-maps = { group = "com.google.android.gms", name = "play-services-maps", version.ref = "playServicesMaps" }
printerlibrary = { module = "com.sunmi:printerlibrary", version.ref = "printerlibrary" }
recyclerview-v7 = { module = "com.android.support:recyclerview-v7", version.ref = "recyclerviewV7" }
retrofit = { module = "com.squareup.retrofit2:retrofit", version.ref = "retrofit" }
room-compiler = { module = "androidx.room:room-compiler", version.ref = "roomCommonJvm" }
room-runtime = { module = "androidx.room:room-runtime", version.ref = "roomCommonJvm" }
rxandroid = { module = "io.reactivex:rxandroid", version.ref = "rxandroid" }
rxjava = { module = "io.reactivex:rxjava", version.ref = "rxjava" }
core-ktx = { group = "androidx.core", name = "core-ktx", version.ref = "coreKtx" }
rxjava2-rxandroid = { module = "io.reactivex.rxjava2:rxandroid", version.ref = "rxandroidVersion" }
stompprotocolandroid = { module = "com.github.NaikSoftware:StompProtocolAndroid", version.ref = "stompprotocolandroid" }
rxjava2-rxjava = { module = "io.reactivex.rxjava2:rxjava", version.ref = "rxjavaVersion" }
swiperefreshlayout = { module = "androidx.swiperefreshlayout:swiperefreshlayout", version.ref = "swiperefreshlayout" }
core = { module = "androidx.test:core", version.ref = "core" }
fragment-testing = { module = "androidx.fragment:fragment-testing", version.ref = "fragmentTesting" }
activity = { group = "androidx.activity", name = "activity", version.ref = "activity" }
mockito-android = { module = "org.mockito:mockito-android", version.ref = "mockitoAndroid" }
mockito-core = { module = "org.mockito:mockito-core", version.ref = "mockitoCore" }
mockito-inline = { module = "org.mockito:mockito-inline", version.ref = "mockitoInline" }
powermock-api-mockito2 = { module = "org.powermock:powermock-api-mockito2", version.ref = "powermockModuleJunit4" }
powermock-module-junit4 = { module = "org.powermock:powermock-module-junit4", version.ref = "powermockModuleJunit4" }
preference = { group = "androidx.preference", name = "preference", version.ref = "preference" }
robolectric = { module = "org.robolectric:robolectric", version.ref = "robolectric" }
rules = { module = "androidx.test:rules", version.ref = "core" }
runner = { module = "androidx.test:runner", version.ref = "runner" }
zxing-android-embedded = { module = "com.journeyapps:zxing-android-embedded", version.ref = "zxingAndroidEmbedded" }
room-common-jvm = { group = "androidx.room", name = "room-common-jvm", version.ref = "roomCommonJvm" }
room-runtime-jvm = { group = "androidx.room", name = "room-runtime-jvm", version.ref = "roomRuntimeJvm" }


[plugins]
android-application = { id = "com.android.application", version.ref = "agp" }
google-android-libraries-mapsplatform-secrets-gradle-plugin = { id = "com.google.android.libraries.mapsplatform.secrets-gradle-plugin", version.ref = "googleAndroidLibrariesMapsplatformSecretsGradlePlugin" }
kotlin-android = { id = "org.jetbrains.kotlin.android", version.ref = "kotlin" }

